

# DeleteAssetFilter
<a name="API_DeleteAssetFilter"></a>

Deletes an asset filter.

Prerequisites:
+ The asset filter must exist. 
+ The domain and asset must not have been deleted.
+ Ensure the --identifier refers to a valid filter ID.

## Request Syntax
<a name="API_DeleteAssetFilter_RequestSyntax"></a>

```
DELETE /v2/domains/domainIdentifier/assets/assetIdentifier/filters/identifier HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAssetFilter_RequestParameters"></a>

The request uses the following URI parameters.

 ** [assetIdentifier](#API_DeleteAssetFilter_RequestSyntax) **   <a name="datazone-DeleteAssetFilter-request-uri-assetIdentifier"></a>
The ID of the data asset.  
Pattern: `[a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [domainIdentifier](#API_DeleteAssetFilter_RequestSyntax) **   <a name="datazone-DeleteAssetFilter-request-uri-domainIdentifier"></a>
The ID of the domain where you want to delete an asset filter.  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [identifier](#API_DeleteAssetFilter_RequestSyntax) **   <a name="datazone-DeleteAssetFilter-request-uri-identifier"></a>
The ID of the asset filter that you want to delete.  
Pattern: `[a-zA-Z0-9_-]{1,36}`   
Required: Yes

## Request Body
<a name="API_DeleteAssetFilter_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAssetFilter_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAssetFilter_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAssetFilter_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
There is a conflict while performing this action.  
HTTP Status Code: 409

 ** InternalServerException **   
The request has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource cannot be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You do not have permission to perform this action.  
HTTP Status Code: 401

 ** ValidationException **   
The input fails to satisfy the constraints specified by the AWS service.  
HTTP Status Code: 400

## Examples
<a name="API_DeleteAssetFilter_Examples"></a>

### Example
<a name="API_DeleteAssetFilter_Example_1"></a>

This example illustrates one usage of DeleteAssetFilter.

#### Sample Request
<a name="API_DeleteAssetFilter_Example_1_Request"></a>

```
aws datazone delete-asset-filter \
 --domain-identifier "dzd_cm9m1uc1hqf6uf" \
 --asset-identifier "6br2md6v9hqox3" \
 --identifier "c2fkteudhd2dgn"
```

### Example
<a name="API_DeleteAssetFilter_Example_2"></a>

Failure case - resource does not exist

#### Sample Request
<a name="API_DeleteAssetFilter_Example_2_Request"></a>

```
aws datazone delete-asset-filter \
--domain-identifier "dzd_53ielnpxktdilj" \
--asset-identifier "ast7k9mpq2xvn4" \
--identifier "flt8p2mq3xvn5"
```

#### Sample Response
<a name="API_DeleteAssetFilter_Example_2_Response"></a>

```
An error occurred (ResourceNotFoundException) when calling the DeleteAssetFilter operation:
 The given Asset doesn't exist. Try creating Asset before accessing it.
```

### Example
<a name="API_DeleteAssetFilter_Example_3"></a>

Failure case - a required parameter is missing:

#### Sample Request
<a name="API_DeleteAssetFilter_Example_3_Request"></a>

```
aws datazone delete-asset-filter \
--domain-identifier "dzd_53ielnpxktdilj" \
--asset-identifier "ast7k9mpq2xvn4"
```

#### Sample Response
<a name="API_DeleteAssetFilter_Example_3_Response"></a>

```
aws: error: the following arguments are required: —identifier
```

## See Also
<a name="API_DeleteAssetFilter_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/datazone-2018-05-10/DeleteAssetFilter) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/datazone-2018-05-10/DeleteAssetFilter) 